=== distribution/win32/CMakeLists.txt ===
SET(CPACK_SOURCE_GENERATOR "ZIP")

ADD_SUBDIRECTORY(nsis)
