=== debian/changelog ===
xtrkcad (1:5.1.0-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - Remove from the upstream applied patches:
      + debian/patches/0700-info_file.patch
      + debian/patches/0705-help_path.patch
      + debian/patches/0100-gtk.patch
    - Refresh patches:
      + debian/patches/0900-spelling-errors.patch
    - Refresh debian/copyright.
    - debian/xtrkcad.docs: Rename Readme.txt to Readme.md.
    - debian/xtrkcad.install: Remove Readme.txt.
    - debian/control: Remove not longer used libwebkitgtk-1.0-0
      (Closes: #790221).
  * debian/control:
    - Add Daniel E. Markle as maintainer again.
    - Add myself as uploader.
    - Use http for the homepage because https isn't available.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
    - Remove --parallel from debian/rules.
  * debian/changelog, debian/control: Remove trailing whitespaces.
  * Change to my new mail address:
    - debian/control,
    - debian/copyright

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 19 Mar 2018 23:31:33 +0100
